<?php
class OG_DataWriter_Discussion_Thread extends XFCP_OG_DataWriter_Discussion_Thread 
{
    const CONTENT_TYPE = 'ogimage';
    const DATA_ATTACHMENT_HASH = 'attachmentHash';
    protected function _getFields()
    {
        $fields = parent::_getFields();
        $fields['xf_thread']['ogimage'] = array('type' => self::TYPE_STRING, 'default' => '', 'maxLength' => 256);        
        $fields['xf_thread']['ogtitle'] = array('type' => self::TYPE_STRING, 'default' => '', 'maxLength' => 100);        
        return $fields;
    }
    
    protected function _discussionPostSave()
    {
        $retVal = parent::_discussionPostSave();
        
        $threadId = $this->get('thread_id');
        
        $attachmentHash = $this->getExtraData(self::DATA_ATTACHMENT_HASH);
        if ($attachmentHash)
        {
            $rows = $this->_db->update('xf_attachment', array(
                'content_type' => self::CONTENT_TYPE,
                'content_id' => $threadId,
                'temp_hash' => '',
                'unassociated' => 0
            ), 'temp_hash = ' . $this->_db->quote($attachmentHash));
        }        
        return $retVal;
    }
    
    protected function _discussionPostDelete()
    {
        $threadId = $this->get('thread_id');
        $threadIdQuoted = $this->_db->quote($threadId);

        $this->_db->delete('xf_attachment', "content_id = $threadIdQuoted");
    }
}